## calligraplan 4.0.0

=== debian/changelog ===
calligraplan (1:4.0.0-0+24.04+noble+release+build7) noble; urgency=medium

  * Automatic CI Build

 -- Neon CI <neon@kde.org>  Tue, 20 Jan 2026 08:16:04 +0000

calligraplan (1:4.0.0-0) noble; urgency=medium

  * new release

 -- Neon CI <neon@kde.org>  Tue, 20 Jan 2026 00:34:14 +0000

calligraplan (1:3.3.0-2) UNRELEASED; urgency=medium

  [ Pino Toscano ]
  * Drop all the l10n breaks/replaces, no more needed after two Debian stable
    releases.
  * Bump Standards-Version to 4.6.1, no changes required.
  * Add a simple upstream/metadata file.

 -- Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>  Sat, 21 Aug 2021 18:17:14 +0200
