## calligraplan 4.0.0+p24.04+vstable+git20260122.0447

=== CMakeLists.txt ===
--- 
+++ 
@@ -7,8 +7,8 @@
 # Alpha x.x.89
 # Beta: x.x.90 upwards. (Beta 1 = 90, Beta 2 = 91 ...)
 # Stable x.x.0 upwards
-project(calligraplan VERSION 3.3.89)
-set(PLAN_YEAR 2023) # update every year
+project(calligraplan VERSION 4.0.1)
+set(PLAN_YEAR 2026) # update every year
 
 cmake_minimum_required(VERSION 3.16)
 if (POLICY CMP0002)
@@ -187,18 +187,11 @@
         Xml
 )
 find_package(Qt6DBus ${REQUIRED_QT_VERSION} QUIET)
-set_package_properties(Qt5DBus PROPERTIES
+set_package_properties(Qt6DBus PROPERTIES
     DESCRIPTION "Library for dbus access"
     PURPOSE "Required for dbus support (optional)"
     TYPE OPTIONAL
 )
-
-find_package(X11)
-if(X11_FOUND)
-     set(HAVE_X11 TRUE)
-else()
-     set(HAVE_X11 FALSE)
-endif()
 
 ##
 ## Test SharedMimeInfo
