=== debian/changelog ===
calligraplan (1:4.0.0+p24.04+vstable+git20260122.0447-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Thu, 22 Jan 2026 04:48:08 +0000
