## calligraplan 4.0.0+p24.04+vstable+git20260131.0233

=== debian/changelog ===
calligraplan (1:4.0.0+p24.04+vstable+git20260131.0233-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sat, 31 Jan 2026 02:33:32 +0000
