=== debian/watch ===
version=4
opts=pgpsigurlmangle=s/$/.sig/ https://download.kde.org/stable/calligraplan/calligraplan-([\d\.]+)\.tar\.xz
