## calligraplan 4.0.0+p24.04+vunstable+git20260205.0748

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,3 +1,5 @@
+cmake_minimum_required(VERSION 3.16)
+
 if (POLICY CMP0048)
     cmake_policy(SET CMP0048 NEW)
 endif ()
@@ -10,7 +12,6 @@
 project(calligraplan VERSION 4.0.1)
 set(PLAN_YEAR 2026) # update every year
 
-cmake_minimum_required(VERSION 3.16)
 if (POLICY CMP0002)
     cmake_policy(SET CMP0002 NEW)
 endif ()
