## calligraplan 4.0.1%2Bdfsg

=== devtools/rng2cpp/CMakeLists.txt ===
#message(STATUS "Adding plan_rng2cpp executable")

remove_definitions(-DQT_NO_CAST_FROM_ASCII)

add_executable(plan_rng2cpp rng2cpp.cpp)
target_link_libraries(plan_rng2cpp Qt::Core Qt::Xml)
