## calligraplan 4.0.1+dfsg

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,5 +1,3 @@
-cmake_minimum_required(VERSION 3.16)
-
 if (POLICY CMP0048)
     cmake_policy(SET CMP0048 NEW)
 endif ()
@@ -12,6 +10,7 @@
 project(calligraplan VERSION 4.0.1)
 set(PLAN_YEAR 2026) # update every year
 
+cmake_minimum_required(VERSION 3.16)
 if (POLICY CMP0002)
     cmake_policy(SET CMP0002 NEW)
 endif ()
@@ -188,11 +187,18 @@
         Xml
 )
 find_package(Qt6DBus ${REQUIRED_QT_VERSION} QUIET)
-set_package_properties(Qt6DBus PROPERTIES
+set_package_properties(Qt5DBus PROPERTIES
     DESCRIPTION "Library for dbus access"
     PURPOSE "Required for dbus support (optional)"
     TYPE OPTIONAL
 )
+
+find_package(X11)
+if(X11_FOUND)
+     set(HAVE_X11 TRUE)
+else()
+     set(HAVE_X11 FALSE)
+endif()
 
 ##
 ## Test SharedMimeInfo
