=== data/CMakeLists.txt ===
# reports files
set(datadir "calligraplan/data")
install(FILES
        ReportTemplateAssistant.odt
    DESTINATION ${KDE_INSTALL_DATADIR}/${datadir}
)
