=== src/convert/CMakeLists.txt ===

install(FILES jar/planconvert.jar  DESTINATION ${KDE_INSTALL_DATADIR}/calligraplan/java)
