=== debian/changelog ===
calligraplan (1:4.0.1+dfsg-1build1) resolute; urgency=medium

  * No-change rebuild for kf6-kio 6.22.1.

 -- Rik Mills <rikmills@kde.org>  Thu, 22 Jan 2026 21:32:30 +0000

calligraplan (1:4.0.1+dfsg-1) unstable; urgency=medium

  * New upstream release.
  * Update watch file to the new tarball location.
  * Add the GPG key of Mickael Sergent.
  * Since the upstream tarball now ships a pre-built JAR file, exclude it:
    - repack removing src/convert/jar/planconvert.jar
    - add the +dfsg suffix to the upstream version
    - disable the mpxj import filter, as it does not work without the JAR file,
      and do not install planconvert.jar; patch disable-mpxj.diff
  * Update the build dependencies following the port to Qt 6:
    - remove kinit-dev, libkchart2-dev, libkf5activities-dev, libkf5archive-dev,
      libkf5config-dev, libkf5configwidgets-dev, libkf5coreaddons-dev,
      libkf5dbusaddons-dev, libkf5doctools-dev, libkf5guiaddons-dev,
      libkf5holidays-dev, libkf5i18n-dev, libkf5iconthemes-dev,
      libkf5itemviews-dev, libkf5jobwidgets-dev, libkf5kio-dev,
      libkf5notifications-dev, libkf5parts-dev, libkf5textwidgets-dev,
      libkf5wallet-dev, libkf5widgetsaddons-dev, libkf5windowsystem-dev,
      libkf5xmlgui-dev, libkgantt2-dev, libqca-qt5-2-dev, libqt5opengl5-dev,
      libqt5x11extras5-dev, and qtbase5-dev
    - add libkchart-dev, libkf6archive-dev, libkf6calendarcore-dev,
      libkf6config-dev, libkf6configwidgets-dev, libkf6coreaddons-dev,
      libkf6dbusaddons-dev, libkf6doctools-dev, libkf6guiaddons-dev,
      libkf6holidays-dev, libkf6i18n-dev, libkf6iconthemes-dev,
      libkf6itemmodels-dev, libkf6itemviews-dev, libkf6jobwidgets-dev,
      libkf6kio-dev, libkf6notifications-dev, libkf6parts-dev, libkf6sonnet-dev,
      libkf6textwidgets-dev, libkf6wallet-dev, libkf6widgetsaddons-dev,
      libkf6windowsystem-dev, libkf6xmlgui-dev, libkgantt-dev,
      libplasmaactivities-dev, libqca-qt6-dev, and qt6-base-dev
  * Update the other build dependencies according to the upstream build system:
    - bump cmake to 3.16.0
    - bump extra-cmake-modules to 6.3.0
    - add shared-mime-info
  * Modernize building and update it to KF6:
    - add the dh-sequence-kf6 build dependency to use the kf6 addon
      automatically
    - drop the pkg-kde-tools build dependency, no more explicitly needed
    - drop all the manually specified addons and buildsystem for dh
  * Stop passing -DCMAKE_POLICY_VERSION_MINIMUM=3.5 to cmake, as it is no more
    needed now.
  * Stop adding -Wno-deprecated -Wno-deprecated-declarations to the CXXFLAGS,
    as they should not be needed anymore now.
  * Bump Standards-Version to 4.7.3, no changes required.
  * Drop Priority: optional, no more needed since dpkg 1.22.13.
  * Update lintian overrides.
  * Update copyright.

 -- Pino Toscano <pino@debian.org>  Tue, 20 Jan 2026 08:35:45 +0100
