=== debian/control ===
Source: calligraplan
Section: kde
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Pino Toscano <pino@debian.org>,
Build-Depends: cmake (>= 3.16~),
               debhelper-compat (= 13),
               dh-sequence-kf6,
               extra-cmake-modules (>= 6.3.0~),
               gettext,
               libkchart-dev (>= 3.0.1~),
               libkf6archive-dev (>= 6.3.0~),
               libkf6calendarcore-dev,
               libkf6config-dev (>= 6.3.0~),
               libkf6configwidgets-dev (>= 6.3.0~),
               libkf6coreaddons-dev (>= 6.3.0~),
               libkf6dbusaddons-dev (>= 6.3.0~),
               libkf6doctools-dev (>= 6.3.0~),
               libkf6guiaddons-dev (>= 6.3.0~),
               libkf6holidays-dev,
               libkf6i18n-dev (>= 6.3.0~),
               libkf6iconthemes-dev (>= 6.3.0~),
               libkf6itemmodels-dev (>= 6.3.0~),
               libkf6itemviews-dev (>= 6.3.0~),
               libkf6jobwidgets-dev (>= 6.3.0~),
               libkf6kio-dev (>= 6.3.0~),
               libkf6notifications-dev (>= 6.3.0~),
               libkf6parts-dev (>= 6.3.0~),
               libkf6sonnet-dev (>= 6.3.0~),
               libkf6textwidgets-dev (>= 6.3.0~),
               libkf6wallet-dev (>= 6.3.0~),
               libkf6widgetsaddons-dev (>= 6.3.0~),
               libkf6windowsystem-dev (>= 6.3.0~),
               libkf6xmlgui-dev (>= 6.3.0~),
               libkgantt-dev (>= 3.0.1~),
               libplasmaactivities-dev,
               libqca-qt6-dev (>= 2.1.0~),
               libx11-dev,
               pkgconf,
               qt6-base-dev (>= 6.5.0~),
               shared-mime-info,
Standards-Version: 4.7.3
Homepage: https://www.calligra.org/plan/
Vcs-Git: https://salsa.debian.org/qt-kde-team/extras/calligraplan.git
Vcs-Browser: https://salsa.debian.org/qt-kde-team/extras/calligraplan

Package: calligraplan
Architecture: any
Depends: ${misc:Depends},
         ${shlibs:Depends}
Description: integrated project management and planning tool
 Plan is a project management application, allowing for the planning and
 scheduling of projects. It was formerly known as KPlato.
 .
 This package is part of the Calligra Suite.
