=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -Skf6 -- \
		-DBUILD_TESTING=OFF

execute_after_dh_auto_install:
	# remove symlinks of private libraries
	find debian/calligraplan -name '*.so' -type l -print -delete

.PHONY: override_dh_auto_test
