=== debian/watch ===
version=4
opts=\
repacksuffix=+dfsg,\
dversionmangle=s/\+dfsg\d*$//,\
pgpsigurlmangle=s/$/.sig/ \
 https://download.kde.org/stable/calligraplan/calligraplan-([\d\.]+)\.tar\.xz
